Cassandra.AsyncClient.atomic_batch_mutate_call (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.thrift

## Class Cassandra.AsyncClient.atomic_batch_mutate_call

- java.lang.Object
- - org.apache.thrift.async.TAsyncMethodCall
  - - org.apache.cassandra.thrift.Cassandra.AsyncClient.atomic_batch_mutate_call

- Enclosing class:
    Cassandra.AsyncClient

      public static class Cassandra.AsyncClient.atomic_batch_mutate_call
      extends org.apache.thrift.async.TAsyncMethodCall

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.thrift.async.TAsyncMethodCall

      `org.apache.thrift.async.TAsyncMethodCall.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.async.TAsyncMethodCall

      `client, transport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cassandra.AsyncClient.atomic_batch_mutate_call(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getResult()`
    `void` | `write_args(org.apache.thrift.protocol.TProtocol prot)`

    - ### Methods inherited from class org.apache.thrift.async.TAsyncMethodCall

      `getClient, getFrameBuffer, getSequenceId, getStartTime, getState, getTimeoutTimestamp, hasTimeout, isFinished, onError, prepareMethodCall, transition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Cassandra.AsyncClient.atomic_batch_mutate_call

          public Cassandra.AsyncClient.atomic_batch_mutate_call(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map,
                                                        ConsistencyLevel consistency_level,
                                                        org.apache.thrift.async.AsyncMethodCallback resultHandler,
                                                        org.apache.thrift.async.TAsyncClient client,
                                                        org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                                                        org.apache.thrift.transport.TNonblockingTransport transport)
                                                         throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

  - ### Method Detail

    - #### write_args

          public void write_args(org.apache.thrift.protocol.TProtocol prot)
                          throws org.apache.thrift.TException

      Specified by:
        `write_args` in class `org.apache.thrift.async.TAsyncMethodCall`
      Throws:
        `org.apache.thrift.TException`

    - #### getResult

          public void getResult()
                         throws InvalidRequestException,
                                UnavailableException,
                                TimedOutException,
                                org.apache.thrift.TException

      Throws:
        `InvalidRequestException`
        `UnavailableException`
        `TimedOutException`
        `org.apache.thrift.TException`

Copyright © 2014 The Apache Software Foundation